SDAWTS(3)

SYNOPSIS
SUBROUTINE SDAWTS (NEQ, IWT, RTOL, ATOL, Y, WT, RPAR, IPAR)

NAME
sdawts - Set error weight vector for SDASSL.

LIBRARY
SLATEC (DASSL)

TYPE
SINGLE PRECISION (SDAWTS-S, DDAWTS-D)

AUTHOR
Petzold, Linda R., (LLNL)

DESCRIPTION
C----------------------------------------------------------------------- THIS SUBROUTINE SETS THE ERROR WEIGHT VECTOR WT ACCORDING TO WT(I)=RTOL(I)*ABS(Y(I))+ATOL(I), I=1,-,N. RTOL AND ATOL ARE SCALARS IF IWT = 0, AND VECTORS IF IWT = 1. C-----------------------------------------------------------------------

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
830315 DATE WRITTEN
901009 Finished conversion to SLATEC 4.0 format (F.N.Fritsch)
901019 Merged changes made by C. Ulrich with SLATEC 4.0 format.
901026 Added explicit declarations for all variables and minor cosmetic changes to prologue. (FNF)